Summary: Hangul Terminal for X
Name: hanterm-xf
Version: 2.0.0
Release: 8m
Source0: http://www.kr.freebsd.org/~hwang/hanterm/hanterm-xf-%{version}.tar.gz
Source1: mini-hanterm.xpm
Source2: hanterm.desktop
Source3: hanterm.png
Source4: Hanterm.ad.en
Source5: Hanterm.ad.ko
Source6: hanterm-wheel.diff
License: MIT/X
Group: User Interface/X
URL: http://www.kr.freebsd.org/~hwang/hanterm/
Requires: XFree86
Obsoletes: hanterm, hanterm-xf86
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Nosource: 0

%description
Hangul terminal for X. it is based on the xterm in XFree86.

%prep
%setup -q
 
%build
CFLAGS="%{optflags}" LIBS=-lutempter ./configure
make

%install
mkdir -p %{buildroot}/usr/share/icons/mini
mkdir -p %{buildroot}/usr/X11R6/{bin,lib/X11/app-defaults,lib/X11/ko/app-defaults}
install -c -s -m 4711 hanterm  %{buildroot}/usr/X11R6/bin
install -m444 $RPM_SOURCE_DIR/Hanterm.ad.en \
	%{buildroot}/usr/X11R6/lib/X11/app-defaults/Hanterm
install -m444 $RPM_SOURCE_DIR/Hanterm.ad.ko \
	%{buildroot}/usr/X11R6/lib/X11/ko/app-defaults/Hanterm
install -c -m 644 $RPM_SOURCE_DIR/mini-hanterm.xpm %{buildroot}/usr/share/icons/mini/

# Enable wheel mouse
find %{buildroot}/usr/X11R6/lib/X11 -name Hanterm -exec patch {} %{SOURCE6} \;

# GNOME DeskTop Support
mkdir -p %{buildroot}/usr/share/pixmaps
mkdir -p %{buildroot}/usr/share/gnome/apps/Utilities
install -m644 $RPM_SOURCE_DIR/hanterm.png %{buildroot}/usr/share/pixmaps
install -m644 $RPM_SOURCE_DIR/hanterm.desktop %{buildroot}/usr/share/gnome/apps
install -m644 $RPM_SOURCE_DIR/hanterm.desktop %{buildroot}/usr/share/gnome/apps/Utilities

# remove unwanting files
rm -f %{buildroot}/usr/X11R6/lib/X11/app-defaults/Hanterm.rej
rm -f %{buildroot}/usr/X11R6/lib/X11/app-defaults/Hanterm~
rm -f %{buildroot}/usr/X11R6/lib/X11/ko/app-defaults/Hanterm.rej
rm -f %{buildroot}/usr/X11R6/lib/X11/ko/app-defaults/Hanterm~
rm -f %{buildroot}/usr/share/gnome/apps/hanterm.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
/usr/X11R6/bin/hanterm
/usr/share/icons/mini/mini-hanterm.xpm
/usr/share/pixmaps/hanterm.png
/usr/share/gnome/apps/Utilities/hanterm.desktop
%config /usr/X11R6/lib/X11/app-defaults/Hanterm
%config /usr/X11R6/lib/X11/ko/app-defaults/Hanterm

%ChangeLog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.0-8m)
- revised spec for enabling rpm 4.2.

* Fri Oct 03 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-7m)
- change License: to MIT/X

* Tue May 28 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.0.0-6k)
  added -lutempter to LIBS

* Tue Nov 20 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.0-4k)
- remove /usr/share/gnome/apps/hanterm.desktop

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (2.0.0-2k)
- version up.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Mon Jun 26 2000 haruka kusumi <haruka76@kondara.org>
- some changed this spec file for kondara
 
* Wed Mar  9 2000 Woohyun JANG <louis@mizi.co.kr>
- upgrade to p18

* Thu Mar 03 2000 Woohyun JANG <louis@mizi.co.kr>
- add hanterm-xf-p17-nosuid.patch
  (use utempter)

* Tue Feb  8 2000 Woohyun JANG <louis@mizi.co.kr>
- use medium fonts 
- remove Hangul keyboard in Ad file

* Tue Jan 18 2000 Seo, Young-Jin <yjseo@mizi.co.kr>
- --with-Xaw3d is removed because of scrollbar bug of wheel mouse. 

* Sat Jan 08 2000 Seo, Young-Jin <yjseo@mizi.co.kr>
- wheel mouse support patch is applied Hanterm resource files.

* Mon Sep  6 1999 Woohyun JANG <louis@mizi.co.kr>
- replace hanterm-xf-p17.keyboard.patch
  Thanks to ChiDeok Hwang <cdhwang@sr.hei.co.kr>

* Sat Sep  4 1999 Woohyun JANG <louis@mizi.co.kr>
- add hanterm-xf-p17.keyboard.patch
  (use HANGUL_KEYBOARD_TYPE environment variable)

* Fri Sep  3 1999 Woohyun JANG <louis@mizi.co.kr>
- add hanterm-xf-charproc.patch.
  Thanks to ChiDeok Hwang <cdhwang@sr.hei.co.kr>

* Sat Aug 28 1999 Woohyun JANG <louis@mizi.co.kr>
- modify Hanterm.ad.* (change font property)

* Thu Aug 19 1999 Woohyun JANG <louis@mizi.co.kr>
- modify Hanterm.ad.* (change hangul and english font name)

* Tue Aug  5 1999 Taik-kyun Lim <mongmong@milab.yonsei.ac.kr>
- modify Hanterm.ad(from hanterm-xf-16)

* Tue Aug  5 1999 Woohyun JANG <louis@mizi.co.kr>
- modify Hanterm.ad

* Tue Aug  5 1999 Woohyun JANG <louis@mizi.co.kr>
- upgrade to 17

* Tue Aug  5 1999 Woohyun JANG <louis@mizi.co.kr>
- change to use Xaw3d

* Mon Jul 26 1999 Woohyun JANG <louis@mizi.co.kr>
- modify package information(Version, Copyright, Summary, Descriptions)
  thanks to Chi-Deok Hwang <cdhwang@sr.hei.co.kr>

* Sun Jul 11 1999 Woohyun JANG <louis@mizi.co.kr>
- specify english font 

* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- Using hwan gulim font.

* Wed Jun 23 1999 Woohyun JANG <louis@mizi.co.kr>
- MIZI Linux adaptions.

* Thu Apr 22 1999 Sang-Jin Hwang, <accel@linux.mdworld.com>
- improve hanterm icon (hanterm.png)
- added strip binary.

* Tue Feb 23 1999 Sang-Jin Hwang, <accel@linux.mdworld.com>
- upgrade to version hanterm-xf-p16

* Sun Feb 21 1999 Sang-Jin Hwang, <accel@linux.mdworld.com>
- GNOME Desktop support

* Thu Jan 28 1999 Sang-Jin Hwang, <accel@linux.mdworld.com>
- added glibc2.1 patch
- built for glibc2.1
- built package for 6.0

* Mon Oct 26 1998 Sang-Jin Hwang, <accel@linux.mdworld.com>
- added hangul, hanja key map
- rebuilt in egcs-1.1 or glibc-2.0.29

* Thu Aug  6 1998 Byeong-Chan, Kim <redhands@linux.sarang.net>
- rename hanterm-xf86 -> hanterm-xf
- updated to p15

* Mon Jun 15 1998 Byeong-Chan, Kim <redhands@linux.sarang.net>
- change default font to iyagi

* Sat May 30 1998 Byeong-Chan, Kim <redhands@linux.sarang.net>
- spec file updated

* Thu Apr 30 1998 Byeong-Chan, Kim <redhands@linux.sarang.net>
- updated pre 13
- some edited add-defaults file

* Sat Dec 27 1997 Byeong-Chan, Kim <redhands@linux.sarang.net>
- built again glibc
- some edited Hanterm add-defaults file
